var index =
[
    [ "Table of Contents", "index.html#HAPI_TOC", null ],
    [ "Overview", "_h_a_p_i__overview.html", [
      [ "What is Houdini Engine", "_h_a_p_i__overview.html#HAPI_Overview_WhatIs", null ],
      [ "Overall Architecture", "_h_a_p_i__overview.html#HAPI_Overview_Architecture", null ]
    ] ],
    [ "What's New in HAPI", "_h_a_p_i__migration.html", "_h_a_p_i__migration" ],
    [ "Integration", "_h_a_p_i__integration.html", [
      [ "Important Files", "_h_a_p_i__integration.html#HAPI_Integration_ImportantFiles", null ],
      [ "Version", "_h_a_p_i__integration.html#HAPI_Integration_Version", null ],
      [ "Putting Engine in Version Control", "_h_a_p_i__integration.html#HAPI_Integration_EngineInVersionControl", [
        [ "Installing Houdini Engine plug-ins", "_h_a_p_i__integration.html#HAPI_Integration_EngineInVersionControl_Plugins", null ]
      ] ],
      [ "Suggested Steps", "_h_a_p_i__integration.html#HAPI_Integration_SuggestedSteps", null ]
    ] ],
    [ "Fundamentals", "_h_a_p_i__fundamentals.html", [
      [ "Environment Variables", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_Env", null ],
      [ "Strings", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_Strings", null ],
      [ "Return Codes and Error Strings", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_ReturnCodesErrorStrings", null ],
      [ "Initialization and Cleanup", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_InitializationAndCleanup", null ],
      [ "Saving a HIP File", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_SavingHIPFile", null ],
      [ "Getting and Setting Server-Side Environment Variables", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_GetSetServerEnv", null ],
      [ "Check for Specific Errors", "_h_a_p_i__fundamentals.html#HAPI_Fundamentals_CheckForSpecificErrors", null ]
    ] ],
    [ "Licensing", "_h_a_p_i__licensing.html", [
      [ "License Requirements", "_h_a_p_i__licensing.html#HAPI_Licensing_Requirements", null ],
      [ "License Checks", "_h_a_p_i__licensing.html#HAPI_Licensing_Checks", null ]
    ] ],
    [ "Sessions", "_h_a_p_i__sessions.html", [
      [ "Introduction", "_h_a_p_i__sessions.html#HAPI_Sessions_Intro", null ],
      [ "Out-of-process", "_h_a_p_i__sessions.html#HAPI_Sessions_HAPI_Loader", null ],
      [ "In-Process", "_h_a_p_i__sessions.html#HAPI_Sessions_Migration", null ],
      [ "HARS (Houdini-Engine API Remote Server)", "_h_a_p_i__sessions.html#HAPI_Sessions_Thrift_Server", null ],
      [ "Houdini Engine SessionSync", "_h_a_p_i__sessions.html#HAPI_Session_SessionSync", null ],
      [ "Multithreading", "_h_a_p_i__sessions.html#HAPI_Sessions_Multithreading", null ]
    ] ],
    [ "SessionSync", "_h_a_p_i__session_sync.html", [
      [ "Introduction", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Intro", null ],
      [ "Integration", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration", [
        [ "Connecting to or Starting SessionSync", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_Connection", null ],
        [ "Asset Cook Synchronization", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_Assets", null ],
        [ "Non-Asset Nodes", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_NonAssets", null ],
        [ "Non-Asset Nodes Saving and Loading", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_NonAssetsLoadSave", null ],
        [ "Cooking using Houdini Time", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_Time", null ],
        [ "Viewport Synchronization", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_Viewport", null ],
        [ "HAPI_SessionSyncInfo", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_SessionSyncInfo", null ],
        [ "Reference Implementation", "_h_a_p_i__session_sync.html#HAPI_SessionSync_Integration_Reference", null ]
      ] ]
    ] ],
    [ "Nodes", "_h_a_p_i__nodes.html", [
      [ "Nodes Basics", "_h_a_p_i__nodes.html#HAPI_Nodes_Basics", null ],
      [ "Editable Node Networks", "_h_a_p_i__nodes.html#HAPI_Nodes_EditableNodeNetworks", null ],
      [ "Create, Delete, Connect Nodes", "_h_a_p_i__nodes.html#HAPI_Nodes_CreateDeleteConnect", [
        [ "Create Node", "_h_a_p_i__nodes.html#HAPI_Nodes_CreateDeleteConnect_Create", null ],
        [ "Delete Node", "_h_a_p_i__nodes.html#HAPI_Nodes_CreateDeleteConnect_Delete", null ],
        [ "Connecting Nodes", "_h_a_p_i__nodes.html#HAPI_Nodes_CreateDeleteConnect_Connections", null ]
      ] ]
    ] ],
    [ "Assets", "_h_a_p_i__assets.html", [
      [ "Asset Library Files", "_h_a_p_i__assets.html#HAPI_Assets_Libraries", [
        [ "Loading the Library File", "_h_a_p_i__assets.html#HAPI_Assets_Libraries_Loading", null ],
        [ "Query Assets in Library File", "_h_a_p_i__assets.html#HAPI_Assets_Libraries_Query", null ]
      ] ],
      [ "Node Creation", "_h_a_p_i__assets.html#HAPI_Assets_NodeCreation", null ],
      [ "Cooking", "_h_a_p_i__assets.html#HAPI_Assets_Cooking", null ],
      [ "Transforms", "_h_a_p_i__assets.html#HAPI_Assets_Transforms", null ]
    ] ],
    [ "Objects", "_h_a_p_i__objects.html", [
      [ "Query", "_h_a_p_i__objects.html#HAPI_Objects_Query", null ],
      [ "Object Transforms", "_h_a_p_i__objects.html#HAPI_Objects_Transforms", null ]
    ] ],
    [ "Geos", "_h_a_p_i__geos.html", [
      [ "Query", "_h_a_p_i__geos.html#HAPI_Geos_Query", null ],
      [ "Curve", "_h_a_p_i__geos.html#HAPI_Geos_Curve", null ],
      [ "Editable", "_h_a_p_i__geos.html#HAPI_Geos_Editable", null ]
    ] ],
    [ "Parts", "_h_a_p_i__parts.html", [
      [ "Query", "_h_a_p_i__parts.html#HAPI_Parts_Query", null ],
      [ "Getting Geometry Data", "_h_a_p_i__parts.html#HAPI_Parts_GettingGeometryData", null ],
      [ "Part Types", "_h_a_p_i__parts.html#HAPI_Parts_PartTypes", null ]
    ] ],
    [ "Attributes", "_h_a_p_i__attributes.html", [
      [ "About Houdini Attributes", "_h_a_p_i__attributes.html#HAPI_Attributes_AboutHoudiniAttributes", null ],
      [ "Query Attribute Information", "_h_a_p_i__attributes.html#HAPI_Attributes_QueryAttributeInformation", null ],
      [ "Getting Attribute Values", "_h_a_p_i__attributes.html#HAPI_Attributes_GettingAttributeValues", null ],
      [ "Adding Attributes", "_h_a_p_i__attributes.html#HAPI_Attributes_AddingAttributes", null ],
      [ "Setting Attribute Values", "_h_a_p_i__attributes.html#HAPI_Attributes_SettingAttributeValues", null ]
    ] ],
    [ "Parameters", "_h_a_p_i__parameters.html", [
      [ "Query Parameter Info", "_h_a_p_i__parameters.html#HAPI_Parameters_QueryParameterInfo", null ],
      [ "Getting Values", "_h_a_p_i__parameters.html#HAPI_Parameters_GettingValues", null ],
      [ "Setting Values", "_h_a_p_i__parameters.html#HAPI_Parameters_SettingValues", null ],
      [ "Incremental Updates", "_h_a_p_i__parameters.html#HAPI_Parameters_Incremental_Updates", null ],
      [ "Tabs and Folders", "_h_a_p_i__parameters.html#HAPI_Parameters_TabsAndFolders", [
        [ "Radio Button Tabs", "_h_a_p_i__parameters.html#HAPI_Parameters_TabsAndFolders_Radio", null ]
      ] ],
      [ "Choice Lists", "_h_a_p_i__parameters.html#HAPI_Parameters_ChoiceLists", null ],
      [ "MultiParms", "_h_a_p_i__parameters.html#HAPI_Parameters_MultiParms", null ],
      [ "Presets", "_h_a_p_i__parameters.html#HAPI_Parameters_Presets", null ],
      [ "Query Parameters from Asset Definition", "_h_a_p_i__parameters.html#HAPI_Parameters_AssetDefinition", null ]
    ] ],
    [ "Asset Inputs", "_h_a_p_i__asset_inputs.html", [
      [ "Exposing Inputs", "_h_a_p_i__asset_inputs.html#HAPI_AssetInputs_ExposingInputs", null ],
      [ "Marshalling Geometry Into Houdini", "_h_a_p_i__asset_inputs.html#HAPI_AssetInputs_MarshallingGeometryIntoHoudini", null ],
      [ "Marshalling Detail Attributes", "_h_a_p_i__asset_inputs.html#HAPI_AssetInputs_DetailAttributes", null ],
      [ "Marshalling Point Clouds", "_h_a_p_i__asset_inputs.html#HAPI_AssetInputs_MarshallingPointClouds", null ],
      [ "Connecting Assets", "_h_a_p_i__asset_inputs.html#HAPI_AssetInputs_ConnectingAssets", null ]
    ] ],
    [ "Curves", "_h_a_p_i__curves.html", [
      [ "The Curve Node", "_h_a_p_i__curves.html#HAPI_Curves_CurveNode", null ],
      [ "Curve Output", "_h_a_p_i__curves.html#HAPI_Curves_CurveOutput", null ],
      [ "Curve Marshalling", "_h_a_p_i__curves.html#HAPI_Curves_Marshalling", null ],
      [ "Input Curve Marshalling", "_h_a_p_i__curves.html#HAPI_Input_Curves", null ]
    ] ],
    [ "Volumes", "_h_a_p_i__volumes.html", [
      [ "Querying", "_h_a_p_i__volumes.html#HAPI_Volumes_Querying", null ],
      [ "Positioning", "_h_a_p_i__volumes.html#HAPI_Volumes_Positioning", null ],
      [ "Volume Output", "_h_a_p_i__volumes.html#HAPI_Volumes_VolumeOutput", [
        [ "By Tile", "_h_a_p_i__volumes.html#HAPI_Volumes_VolumeOutput_Tile", null ],
        [ "By Voxel", "_h_a_p_i__volumes.html#HAPI_Volumes_VolumeOutput_Voxel", null ]
      ] ],
      [ "Volume Marshalling", "_h_a_p_i__volumes.html#HAPI_Volumes_Marshalling", null ],
      [ "Heightfields", "_h_a_p_i__volumes.html#HAPI_Volumes_Heightfield", null ]
    ] ],
    [ "Instancing", "_h_a_p_i__instancing.html", [
      [ "Packed Primitives", "_h_a_p_i__instancing.html#HAPI_Instancing_PackedPrimitives", null ],
      [ "Instance OBJ", "_h_a_p_i__instancing.html#HAPI_Instancing_InstanceOBJ", null ]
    ] ],
    [ "Groups", "_h_a_p_i__groups.html", [
      [ "About Houdini Groups", "_h_a_p_i__groups.html#HAPI_Groups_AboutHoudiniGroups", null ],
      [ "Query Group Information", "_h_a_p_i__groups.html#HAPI_Groups_QueryGroupInformation", [
        [ "Get Group Names", "_h_a_p_i__groups.html#HAPI_Groups_QueryGroupInformation_Names", null ],
        [ "Get Group Membership", "_h_a_p_i__groups.html#HAPI_Groups_QueryGroupInformation_Membership", null ]
      ] ],
      [ "Adding Groups", "_h_a_p_i__groups.html#HAPI_Groups_AddingGroups", null ],
      [ "Edge Groups", "_h_a_p_i__groups.html#HAPI_Groups_EdgeGroups", null ]
    ] ],
    [ "Materials", "_h_a_p_i__materials.html", [
      [ "Materials Introduction", "_h_a_p_i__materials.html#HAPI_Materials_Intro", null ],
      [ "Get Material Assignments", "_h_a_p_i__materials.html#HAPI_Materials_GetAssignment", null ],
      [ "Rendering to Image", "_h_a_p_i__materials.html#HAPI_Materials_RenderingToImage", [
        [ "Render COP Node to Image", "_h_a_p_i__materials.html#HAPI_Materials_RenderingToImage_RenderCOPNode", null ]
      ] ],
      [ "Extracting Images", "_h_a_p_i__materials.html#HAPI_Materials_ExtractingImages", [
        [ "Image Manipulation", "_h_a_p_i__materials.html#HAPI_Materials_ExtractingImages_ImageManipulation", null ],
        [ "Image File Formats", "_h_a_p_i__materials.html#HAPI_Materials_ExtractingImages_ImageFileFormats", null ],
        [ "Image Planes", "_h_a_p_i__materials.html#HAPI_Materials_ExtractingImages_ImagePlanes", null ],
        [ "Image Extraction", "_h_a_p_i__materials.html#HAPI_Materials_ExtractingImages_ImageExtraction", null ]
      ] ],
      [ "Material Updates", "_h_a_p_i__materials.html#HAPI_Materials_Updates", null ]
    ] ],
    [ "Time", "_h_a_p_i__time.html", [
      [ "Global Time", "_h_a_p_i__time.html#HAPI_Time_GlobalTime", null ],
      [ "Timeline Options", "_h_a_p_i__time.html#HAPI_Time_TimelineOptions", null ]
    ] ],
    [ "Handles", "_h_a_p_i__handles.html", null ],
    [ "Intermediate Asset Results", "_h_a_p_i__intermediate_assets_results.html", null ],
    [ "Animation Curves", "_h_a_p_i__animation_curves.html", null ],
    [ "Dynamics Simulations", "_h_a_p_i__dynamics_simulations.html", [
      [ "Start Time", "_h_a_p_i__dynamics_simulations.html#HAPI_DynamicsSimulations_StartTime", null ],
      [ "Simple Asset", "_h_a_p_i__dynamics_simulations.html#HAPI_DynamicsSimulations_SimpleAsset", null ],
      [ "Center Pivot", "_h_a_p_i__dynamics_simulations.html#HAPI_DynamicsSimulations_CenterPivot", null ],
      [ "Working with External Geometry", "_h_a_p_i__dynamics_simulations.html#HAPI_DynamicsSimulations_WorkingWithExternalGeometry", null ],
      [ "Outputting the Result to Host", "_h_a_p_i__dynamics_simulations.html#HAPI_DynamicsSimulations_OutputtingTheResultToHost", null ]
    ] ],
    [ "Loading a Hip File", "_h_a_p_i__load_hip_file.html", null ],
    [ "Caching", "_h_a_p_i__caching.html", [
      [ "Houdini Caches", "_h_a_p_i__caching.html#HAPI_Caching_Houdini", null ],
      [ "Geometry Caching", "_h_a_p_i__caching.html#HAPI_Caching_Geometry", [
        [ "Geometry Files", "_h_a_p_i__caching.html#HAPI_Caching_Geometry_File", null ],
        [ "Geometry Buffers", "_h_a_p_i__caching.html#HAPI_Caching_Geometry_Memory", null ]
      ] ]
    ] ],
    [ "PDG", "_h_a_p_i__p_d_g.html", [
      [ "Introduction to PDG", "_h_a_p_i__p_d_g.html#HAPI_PDG_Intro", null ],
      [ "Utilizing PDG via TOPs in HDAs", "_h_a_p_i__p_d_g.html#HAPI_PDG_HDA", [
        [ "TOP SOP", "_h_a_p_i__p_d_g.html#HAPI_PDG_HDA_TOPSOP", null ],
        [ "TOP Network", "_h_a_p_i__p_d_g.html#HAPI_PDG_HDA_TOPNetwork", null ]
      ] ],
      [ "Environment and Paths", "_h_a_p_i__p_d_g.html#HAPI_PDG_Environment_Paths", null ],
      [ "Schedulers", "_h_a_p_i__p_d_g.html#HAPI_PDG_Schedulers", null ],
      [ "Dirtying, Cooking, and Events", "_h_a_p_i__p_d_g.html#HAPI_PDG_Cooking", null ],
      [ "PDG Code Samples", "_h_a_p_i__p_d_g.html#HAPI_PDG_Samples", null ],
      [ "PDG API", "_h_a_p_i__p_d_g.html#HAPI_PDG_API", [
        [ "Cooking", "_h_a_p_i__p_d_g.html#HAPI_PDG_API_Cook", null ],
        [ "Context, Cook Events, and State", "_h_a_p_i__p_d_g.html#HAPI_PDG_API_Events", null ],
        [ "Work Items", "_h_a_p_i__p_d_g.html#HAPI_PDG_API_WorkItem", null ]
      ] ]
    ] ],
    [ "Utility Functions", "_h_a_p_i__utility_functions.html", null ],
    [ "Full Source Samples", "_h_a_p_i__full_source_samples.html", "_h_a_p_i__full_source_samples" ],
    [ "Development HDA Pack", "_h_a_p_i__sample_h_d_a_pack.html", null ]
];